Bug 476315

Summary: Review Request: evolution-mapi - Exchange 2007 support for Evolution
Product: [Fedora] Fedora Reporter: Matthew Barnes <mbarnes>
Component: Package ReviewAssignee: Matthias Clasen <mclasen>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, jamundso, mclasen, notting, oded, pbrobinson, red
Target Milestone: ---Flags: mclasen: fedora‑review+
kevin: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-02-26 23:25:18 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 453083, 453395    
Bug Blocks:    

Description Matthew Barnes 2008-12-12 19:25:36 EST
Spec URL: http://mbarnes.fedorapeople.org/mapi/SPECS/evolution-mapi.spec
SRPM URL: http://mbarnes.fedorapeople.org/mapi/SRPMS/evolution-mapi-0.1-1.fc10.src.rpm
Description: This is a new extension for Evolution that allows it to interact with accounts on Microsoft Exchange 2007 servers by using the Messaging Application Programming Interface (MAPI).
Comment 1 Jason Tibbitts 2008-12-12 20:31:33 EST
This fails to build for me on rawhide; it needs openchange-devel which is not available.
Comment 2 Sandro Mathys 2008-12-14 21:41:22 EST
rpmlint output when run on the resulting RPMs:

evolution-mapi.i386: E: library-without-ldconfig-postin /usr/lib/libexchangemapi-1.0.so.0.0.0
evolution-mapi.i386: E: library-without-ldconfig-postun /usr/lib/libexchangemapi-1.0.so.0.0.0
evolution-mapi.i386: E: zero-length /usr/share/doc/evolution-mapi-0.1/NEWS
evolution-mapi.i386: E: no-changelogname-tag
evolution-mapi-debuginfo.i386: E: no-changelogname-tag
evolution-mapi-devel.i386: W: no-documentation
evolution-mapi-devel.i386: E: no-changelogname-tag
3 packages and 0 specfiles checked; 6 errors, 1 warnings.

the no-changelogname-tag errors seem to be fixed in the spec file linked above, but not in the spec file that is included in the SRPM.
Comment 3 Matthew Barnes 2008-12-15 13:18:16 EST
(In reply to comment #1)
> This fails to build for me on rawhide; it needs openchange-devel which is not
> available.

Jason, see http://fedoraproject.org/wiki/Features/OpenChange.

OpenChange and Samba4 are also under review to support this.
Comment 4 Jason Tibbitts 2008-12-15 13:24:35 EST
Then could you perhaps set the ticket dependencies properly so that something indicates that this isn't actually reviewable now?
Comment 5 Matthew Barnes 2008-12-15 13:37:42 EST
evolution-mapi saw its first formal release today: 0.25.3.

Think I got the rpmlint issues from comment #2 worked out as well.

http://mbarnes.fedorapeople.org/mapi/SPECS/evolution-mapi.spec
http://mbarnes.fedorapeople.org/mapi/SRPMS/evolution-mapi-0.25.3-1.fc10.src.rpm
Comment 11 Oded Arbel 2009-02-23 05:45:07 EST
Matthew - where can I report problems with the evolution-mapi implementation (not the package)?
Comment 12 Matthew Barnes 2009-02-25 13:20:33 EST
Oded: http://bugzilla.gnome.org/enter_bug.cgi?product=evolution-mapi
Comment 13 Matthias Clasen 2009-02-25 22:42:06 EST
Builds ok in mock

rpmlint output:

evolution-mapi-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 14 Matthias Clasen 2009-02-25 22:55:16 EST
Loooking around the provides and requires a bit, I think it would be good to have explicit requires against evolution and e-d-s (since they own  /usr/lib/evolution/2.26/plugins and /usr/lib/evolution-data-server-1.2/extension). They _are_ currently pulled in by library dependencies, but thats not very obvious (evo seems to get pulled in via libeutil ?)
Comment 15 Matthias Clasen 2009-02-25 23:36:52 EST
formal review

package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field/file: the license field says GPLv2+, but COPYING is GPLv3. What gives ?
spec language: ok
spec legible: ok
upstream sources: ok
buildable: ok
excludearch: ok
build deps: ok
locale handling: ok, but I don't know what that extra grep business is about. Shouldn't be necessary ?
ldconfig: ok
relocatable: ok
directory ownership: ok, but see earlier comment about deps
duplicate files: ok
permissions: ok
%clean: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
header files: ok
static libs: ok
pkgconfig files: ok
shared libs: ok
devel dep: ok
libtool archives: ok
gui apps: ok
file ownership: ok
%install: ok
utf8 filenames: ok

summary:
 - clarify license
 - consider getting rid of grep business around %find_lang
 - consider adding explicit deps for evo/eds
Comment 16 Matthew Barnes 2009-02-26 11:01:45 EST
Got clarification from upstream that the correct license is LGPLv2+ and the COPYING file is apparently wrong (and so is my spec file).  But there's also a COPYING.LGPL2 and COPYING.LGPL3 in the SVN repo which isn't included in the tarball.  *confusion*

Novell promised to clarify the license in the next release.  So can we mark it as the -intended- license, and I'll make sure it gets fixed?

The grep thing I must have copy-n-pasted from another package.  It's gone now.

http://mbarnes.fedorapeople.org/mapi/SPECS/evolution-mapi.spec
http://mbarnes.fedorapeople.org/mapi/SRPMS/evolution-mapi-0.25.91-3.fc10.src.rpm
Comment 17 Matthias Clasen 2009-02-26 12:25:29 EST
> Novell promised to clarify the license in the next release.  So can we mark it
> as the -intended- license, and I'll make sure it gets fixed?

Sounds good enough to me. 
And ship no license file then, instead of the wrong license file, I guess.
Approved.
Comment 18 Matthew Barnes 2009-02-26 12:59:36 EST
Thanks again for the reviews.
Comment 19 Matthew Barnes 2009-02-26 13:00:49 EST
New Package CVS Request
=======================
Package Name: evolution-mapi
Short Description: Exchange 2007 support for Evolution
Owners: mbarnes
Branches: 
InitialCC:
Comment 20 Kevin Fenzi 2009-02-26 19:29:02 EST
cvs done.
Comment 21 Matthew Barnes 2009-02-26 23:25:18 EST
Package built.  Closing review.

http://kojipkgs.fedoraproject.org/packages/evolution-mapi/